import sqlite3


def inspect():
    db_path = 'canifa_ai_dump.sqlite'
    conn = sqlite3.connect(db_path)
    cursor = conn.cursor()
    cursor.execute("SELECT sql FROM sqlite_master WHERE type='table' AND name='sr__test_db__magento_product_dimension_with_text_embedding';")
    schema = cursor.fetchone()
    print("Schema of products:")
    print(schema[0])
    conn.close()

if __name__ == '__main__':
    inspect()
